## ros-lunar-realtime-tools 1.11.0

=== debian/changelog ===
ros-lunar-realtime-tools (1.11.0-0xenial) xenial; urgency=high

  * Updated RT goal handle to handle cancel requests (#22 <https://github.com/ros-controls/realtime_tools/issues/22>)
  * switch to industrial_ci (#20 <https://github.com/ros-controls/realtime_tools/issues/20>)
  * Contributors: Mathias Lüdtke, Nick Lamprianidis

 -- Stuart Glaser <sglaser@willowgarage.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-lunar-realtime-tools (1.10.0-0xenial) xenial; urgency=high

  * Added constructor in RTB for objects without default constructor
  * Add feedback sending capability to RealtimeServerGoalHandle.
  * Contributors: Bence Magyar, Aris Synodinos, Miguel Prada, graiola

 -- Stuart Glaser <sglaser@willowgarage.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-lunar-realtime-tools (1.9.1-0xenial) xenial; urgency=high

  * RealtimeBox: Fix member doc
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Stuart Glaser <sglaser@willowgarage.com>  Wed, 29 Apr 2015 23:00:00 -0000

ros-lunar-realtime-tools (1.9.0-0xenial) xenial; urgency=high

  * Remove rosbuild artifacts.
  * Cleaned up CMake and removed unnecessary dependencies
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Stuart Glaser <sglaser@willowgarage.com>  Sun, 11 May 2014 23:00:00 -0000

ros-lunar-realtime-tools (1.8.3-0xenial) xenial; urgency=high

  * Fix linking
    The library needs to be linked against roscpp and Boost thread.
    GCC won't complain about missing symbols for a shared library,
    but other linkers (like clang's) will not accept it by default.
  * Added Travis support
  * Renamed manifest.xml so it doesn't brek rosdep
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman, Paul Mathieu

 -- Stuart Glaser <sglaser@willowgarage.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-lunar-realtime-tools (1.8.2-0xenial) xenial; urgency=high

  * Append newline.
  * Merge pull request #4 <https://github.com/ros-controls/realtime_tools/issues/4> from pal-robotics/hydro-devel
    Add realtime action server goal handle.
  * Add realtime action server goal handle.
    - Factored out from PR2's implementation of the JointTrajectoryActionController.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Austin Hendrix

 -- Stuart Glaser <sglaser@willowgarage.com>  Wed, 28 Aug 2013 23:00:00 -0000

ros-lunar-realtime-tools (1.8.1-0xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/master' into hydro-devel
  * Merge pull request #2 <https://github.com/ros-controls/realtime_tools/issues/2> from davetcoleman/master
    Made member vars mutable in realtime buffer to allow const read
  * initialize realtime_data_ and non_realtime_data_ before dereferencing and assigning to them in copy constructor
  * Added comments
  * Added readFromNonRT() function, overloaded assignment and copy constructor, and made mutex mutable.
  * Fix typos.
  * Fix build order.
  * Contributors: Austin Hendrix, Dave Coleman

 -- Stuart Glaser <sglaser@willowgarage.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-lunar-realtime-tools (1.8.0-0xenial) xenial; urgency=high

  * Version 1.8.0
  * Install channelecho.py under catkin.
  * adding install targets
  * adding missing manifests
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * catkinizing, could still be cleaned up
  * initialize correctly
  * compile realtime clock into library
  * new interface with time and duration
  * support both condition and polling version to allow re-use of binaries in realtime; add realtime buffer to get data from non-RT into RT
  * Make the realtime publisher realtime safe, without needing an rt_condition; we need the same binaries to work on both non-rt and rt.
  * Make the realtime publisher realtime safe, without needing an rt_condition; we need the same binaries to work in both non-rt and rt.
  * move realtime tools in ros control, and create empty constructors for handles
  * Contributors: Austin Hendrix, Jonathan Bohren, Wim Meeussen, hiDOF

 -- Stuart Glaser <sglaser@willowgarage.com>  Mon, 24 Jun 2013 23:00:00 -0000
