=== debian/control ===
Source: ros-lunar-realtime-tools
Section: misc
Priority: extra
Maintainer: Stuart Glaser <sglaser@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-roscpp, ros-lunar-rospy
Homepage: http://ros.org/wiki/realtime_tools
Standards-Version: 3.9.2

Package: ros-lunar-realtime-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-roscpp, ros-lunar-rospy
Description: Contains a set of tools that can be used from a hard realtime thread, without breaking the realtime behavior.
 The tools currently only provides the realtime publisher, which makes it possible to publish messages to a ROS topic from a realtime thread. We plan to add a basic implementation of a realtime buffer, to make it possible to get data from a (non-realtime) topic callback into the realtime loop. Once the lockfree buffer is created, the realtime publisher will start using it, which will result in major API changes for the realtime publisher (removal of all lock methods).
